package com.sf.service.index.service;

import com.sf.service.index.domain.ApplyListInfo;

import java.util.List;

/**
 * 应用列Service接口
 * 
 * @author ztzh
 * @date 2024-04-11
 */
public interface IApplyListInfoService 
{
    /**
     * 查询应用列
     * 
     * @param id 应用列主键
     * @return 应用列
     */
    public ApplyListInfo selectApplyListInfoById(Long id);

    /**
     * 查询应用列列表
     * 
     * @param applyListInfo 应用列
     * @return 应用列集合
     */
    public List<ApplyListInfo> selectApplyListInfoList(ApplyListInfo applyListInfo);

    /**
     * 新增应用列
     * 
     * @param applyListInfo 应用列
     * @return 结果
     */
    public int insertApplyListInfo(ApplyListInfo applyListInfo);

    /**
     * 修改应用列
     * 
     * @param applyListInfo 应用列
     * @return 结果
     */
    public int updateApplyListInfo(ApplyListInfo applyListInfo);

    /**
     * 批量删除应用列
     * 
     * @param ids 需要删除的应用列主键集合
     * @return 结果
     */
    public int deleteApplyListInfoByIds(Long[] ids);

    /**
     * 删除应用列信息
     * 
     * @param id 应用列主键
     * @return 结果
     */
    public int deleteApplyListInfoById(Long id);
}
